Bug 490756 - Fresh install sets 'default=1' in grub.conf
Fresh install sets 'default=1' in grub.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 16:19 EDT by Orion Poplawski
Modified: 2009-03-20 12:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 12:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-03-17 16:19:36 EDT
Description of problem:

After a fresh install of today's (20090317) rawhide, /etc/grub.conf read:

# grub.conf generated by anaconda                             
#                                                             
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that             
#          all kernel and initrd paths are relative to /, eg.              
#          root (hd0,0)                                                    
#          kernel /boot/vmlinuz-version ro root=/dev/xvda1                 
#          initrd /boot/initrd-version.img
#boot=/dev/xvda
default=1
timeout=4
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
# hiddenmenu
title Fedora (2.6.29-0.258.rc8.git2.fc11.x86_64)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.29-0.258.rc8.git2.fc11.x86_64 ro root=/dev/xvda1 rhgb quiet
        initrd /boot/initrd-2.6.29-0.258.rc8.git2.fc11.x86_64.img

Note that default=1 instead of default=0.  This borks pygrub in xen-3.0.3 (EL 5.2) and the domain won't boot.  No idea what effect if any on physical hardware grub.

Version-Release number of selected component (if applicable):
11.5.0.31
mkinitrd-6.0.81-1.fc11.x86_64
Comment 1 Chris Lumens 2009-03-19 17:01:30 EDT
This should be fixed in the next build of anaconda.
Comment 2 Orion Poplawski 2009-03-20 12:40:34 EDT
Confirmed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.